diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/model/channel-list.h ns-3.44/src/network/model/channel-list.h
--- ns-3.43/src/network/model/channel-list.h	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/network/model/channel-list.h	2025-03-09 16:55:49.671372200 -0700
@@ -18,9 +18,9 @@
 class CallbackBase;
 
 /**
- * \ingroup network
+ * @ingroup network
  *
- * \brief the list of simulation channels.
+ * @brief the list of simulation channels.
  *
  * Every Channel created is automatically added to this list.
  */
@@ -31,30 +31,30 @@
     typedef std::vector<Ptr<Channel>>::const_iterator Iterator;
 
     /**
-     * \param channel channel to add
-     * \returns index of channel in list.
+     * @param channel channel to add
+     * @returns index of channel in list.
      *
      * This method is called automatically from Channel::Channel so
      * the user has little reason to call it himself.
      */
     static uint32_t Add(Ptr<Channel> channel);
     /**
-     * \returns a C++ iterator located at the beginning of this
+     * @returns a C++ iterator located at the beginning of this
      *          list.
      */
     static Iterator Begin();
     /**
-     * \returns a C++ iterator located at the end of this
+     * @returns a C++ iterator located at the end of this
      *          list.
      */
     static Iterator End();
     /**
-     * \param n index of requested channel.
-     * \returns the Channel associated to index n.
+     * @param n index of requested channel.
+     * @returns the Channel associated to index n.
      */
     static Ptr<Channel> GetChannel(uint32_t n);
     /**
-     * \returns the number of channels currently in the list.
+     * @returns the number of channels currently in the list.
      */
     static uint32_t GetNChannels();
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/model/chunk.h ns-3.44/src/network/model/chunk.h
--- ns-3.43/src/network/model/chunk.h	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/network/model/chunk.h	2025-03-09 16:55:49.675372100 -0700
@@ -17,33 +17,33 @@
 {
 
 /**
- * \ingroup packet
+ * @ingroup packet
  *
- * \brief abstract base class for ns3::Header and ns3::Trailer
+ * @brief abstract base class for ns3::Header and ns3::Trailer
  */
 class Chunk : public ObjectBase
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Deserialize the object from a buffer iterator
+     * @brief Deserialize the object from a buffer iterator
      *
      * This version of Deserialize can be used when the Chunk has a fixed
      * size.  It should not be called for variable-sized Chunk derived types
      * (but must be implemented, for historical reasons).
      *
-     * \param start the buffer iterator
-     * \returns the number of deserialized bytes
+     * @param start the buffer iterator
+     * @returns the number of deserialized bytes
      */
     virtual uint32_t Deserialize(Buffer::Iterator start) = 0;
 
     /**
-     * \brief Deserialize the object from a buffer iterator
+     * @brief Deserialize the object from a buffer iterator
      *
      * This version of Deserialize must be used when the Chunk has a variable
      * size, because the bounds of the Chunk may not be known at the point
@@ -51,15 +51,15 @@
      *
      * The size of the chunk should be start.GetDistanceFrom (end);
      *
-     * \param start the starting point
-     * \param end the ending point
-     * \returns the number of deserialized bytes
+     * @param start the starting point
+     * @param end the ending point
+     * @returns the number of deserialized bytes
      */
     virtual uint32_t Deserialize(Buffer::Iterator start, Buffer::Iterator end);
 
     /**
-     * \brief Print the object contents
-     * \param os the output stream
+     * @brief Print the object contents
+     * @param os the output stream
      */
     virtual void Print(std::ostream& os) const = 0;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/model/header.h ns-3.44/src/network/model/header.h
--- ns-3.43/src/network/model/header.h	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/network/model/header.h	2025-03-09 16:55:49.675372100 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup packet
+ * @ingroup packet
  *
- * \brief Protocol header serialization and deserialization.
+ * @brief Protocol header serialization and deserialization.
  *
  * Every Protocol header which needs to be inserted or removed
  * from a Packet instance must derive from this base class and
@@ -33,15 +33,15 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     ~Header() override;
 
     using Chunk::Deserialize;
     /**
-     * \returns the expected size of the header.
+     * @returns the expected size of the header.
      *
      * This method is used by Packet::AddHeader
      * to store a header into the byte buffer of a packet. This method
@@ -50,7 +50,7 @@
      */
     virtual uint32_t GetSerializedSize() const = 0;
     /**
-     * \param start an iterator which points to where the header should
+     * @param start an iterator which points to where the header should
      *        be written.
      *
      * This method is used by Packet::AddHeader to
@@ -61,9 +61,9 @@
      */
     virtual void Serialize(Buffer::Iterator start) const = 0;
     /**
-     * \param start an iterator which points to where the header should
+     * @param start an iterator which points to where the header should
      *        read from.
-     * \returns the number of bytes read.
+     * @returns the number of bytes read.
      *
      * This method is used by Packet::RemoveHeader to
      * re-create a header from the byte buffer of a packet.
@@ -79,7 +79,7 @@
      */
     uint32_t Deserialize(Buffer::Iterator start) override = 0;
     /**
-     * \param os output stream
+     * @param os output stream
      * This method is used by Packet::Print to print the
      * content of a header as ascii data to a c++ output stream.
      * Although the header is free to format its output as it
@@ -94,11 +94,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param header the header
- * \returns a reference to the stream
+ * @param os the stream
+ * @param header the header
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const Header& header);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/model/net-device.h ns-3.44/src/network/model/net-device.h
--- ns-3.43/src/network/model/net-device.h	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/network/model/net-device.h	2025-03-09 16:55:49.675372100 -0700
@@ -27,14 +27,14 @@
 class Channel;
 
 /**
- * \ingroup network
- * \defgroup netdevice Network Device
+ * @ingroup network
+ * @defgroup netdevice Network Device
  */
 
 /**
- * \ingroup netdevice
+ * @ingroup netdevice
  *
- * \brief Network layer to device interface
+ * @brief Network layer to device interface
  *
  * This interface defines the API which the IP and ARP
  * layers need to access to manage an instance of a network device
@@ -87,23 +87,23 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     ~NetDevice() override;
 
     /**
-     * \param index ifIndex of the device
+     * @param index ifIndex of the device
      */
     virtual void SetIfIndex(const uint32_t index) = 0;
     /**
-     * \return index ifIndex of the device
+     * @return index ifIndex of the device
      */
     virtual uint32_t GetIfIndex() const = 0;
 
     /**
-     * \return the channel this NetDevice is connected to. The value
+     * @return the channel this NetDevice is connected to. The value
      *         returned can be zero if the NetDevice is not yet connected
      *         to any channel or if the underlying NetDevice has no
      *         concept of a channel. i.e., callers _must_ check for zero
@@ -113,31 +113,31 @@
 
     /**
      * Set the address of this interface
-     * \param address address to set
+     * @param address address to set
      */
     virtual void SetAddress(Address address) = 0;
 
     /**
-     * \return the current Address of this interface.
+     * @return the current Address of this interface.
      */
     virtual Address GetAddress() const = 0;
 
     /**
-     * \param mtu MTU value, in bytes, to set for the device
-     * \return whether the MTU value was within legal bounds
+     * @param mtu MTU value, in bytes, to set for the device
+     * @return whether the MTU value was within legal bounds
      *
      * Override for default MTU defined on a per-type basis.
      */
     virtual bool SetMtu(const uint16_t mtu) = 0;
     /**
-     * \return the link-level MTU in bytes for this interface.
+     * @return the link-level MTU in bytes for this interface.
      *
      * This value is typically used by the IP layer to perform
      * IP fragmentation when needed.
      */
     virtual uint16_t GetMtu() const = 0;
     /**
-     * \return true if link is up; false otherwise
+     * @return true if link is up; false otherwise
      */
     virtual bool IsLinkUp() const = 0;
     /**
@@ -145,7 +145,7 @@
      */
     typedef void (*LinkChangeTracedCallback)();
     /**
-     * \param callback the callback to invoke
+     * @param callback the callback to invoke
      *
      * Add a callback invoked whenever the link
      * status changes to UP. This callback is typically used
@@ -154,12 +154,12 @@
      */
     virtual void AddLinkChangeCallback(Callback<void> callback) = 0;
     /**
-     * \return true if this interface supports a broadcast address,
+     * @return true if this interface supports a broadcast address,
      *         false otherwise.
      */
     virtual bool IsBroadcast() const = 0;
     /**
-     * \return the broadcast address supported by
+     * @return the broadcast address supported by
      *         this netdevice.
      *
      * Calling this method is invalid if IsBroadcast returns
@@ -168,12 +168,12 @@
     virtual Address GetBroadcast() const = 0;
 
     /**
-     * \return value of m_isMulticast flag
+     * @return value of m_isMulticast flag
      */
     virtual bool IsMulticast() const = 0;
 
     /**
-     * \brief Make and return a MAC multicast address using the provided
+     * @brief Make and return a MAC multicast address using the provided
      *        multicast group
      *
      * \RFC{1112} says that an Ipv4 host group address is mapped to an Ethernet
@@ -191,70 +191,70 @@
      * support multicasting are expected to override this method and provide an
      * implementation appropriate to the particular device.
      *
-     * \param multicastGroup The IP address for the multicast group destination
+     * @param multicastGroup The IP address for the multicast group destination
      * of the packet.
-     * \return The MAC multicast Address used to send packets to the provided
+     * @return The MAC multicast Address used to send packets to the provided
      * multicast group.
      *
-     * \warning Calling this method is invalid if IsMulticast returns not true.
-     * \see IsMulticast()
+     * @warning Calling this method is invalid if IsMulticast returns not true.
+     * @see IsMulticast()
      */
     virtual Address GetMulticast(Ipv4Address multicastGroup) const = 0;
 
     /**
-     * \brief Get the MAC multicast address corresponding
+     * @brief Get the MAC multicast address corresponding
      * to the IPv6 address provided.
-     * \param addr IPv6 address
-     * \return the MAC multicast address
-     * \warning Calling this method is invalid if IsMulticast returns not true.
+     * @param addr IPv6 address
+     * @return the MAC multicast address
+     * @warning Calling this method is invalid if IsMulticast returns not true.
      */
     virtual Address GetMulticast(Ipv6Address addr) const = 0;
 
     /**
-     * \brief Return true if the net device is acting as a bridge.
+     * @brief Return true if the net device is acting as a bridge.
      *
-     * \return value of m_isBridge flag
+     * @return value of m_isBridge flag
      */
     virtual bool IsBridge() const = 0;
 
     /**
-     * \brief Return true if the net device is on a point-to-point link.
+     * @brief Return true if the net device is on a point-to-point link.
      *
-     * \return value of m_isPointToPoint flag
+     * @return value of m_isPointToPoint flag
      */
     virtual bool IsPointToPoint() const = 0;
     /**
-     * \param packet packet sent from above down to Network Device
-     * \param dest mac address of the destination (already resolved)
-     * \param protocolNumber identifies the type of payload contained in
+     * @param packet packet sent from above down to Network Device
+     * @param dest mac address of the destination (already resolved)
+     * @param protocolNumber identifies the type of payload contained in
      *        this packet. Used to call the right L3Protocol when the packet
      *        is received.
      *
      *  Called from higher layer to send packet into Network Device
      *  to the specified destination Address
      *
-     * \return whether the Send operation succeeded
+     * @return whether the Send operation succeeded
      */
     virtual bool Send(Ptr<Packet> packet, const Address& dest, uint16_t protocolNumber) = 0;
     /**
-     * \param packet packet sent from above down to Network Device
-     * \param source source mac address (so called "MAC spoofing")
-     * \param dest mac address of the destination (already resolved)
-     * \param protocolNumber identifies the type of payload contained in
+     * @param packet packet sent from above down to Network Device
+     * @param source source mac address (so called "MAC spoofing")
+     * @param dest mac address of the destination (already resolved)
+     * @param protocolNumber identifies the type of payload contained in
      *        this packet. Used to call the right L3Protocol when the packet
      *        is received.
      *
      *  Called from higher layer to send packet into Network Device
      *  with the specified source and destination Addresses.
      *
-     * \return whether the Send operation succeeded
+     * @return whether the Send operation succeeded
      */
     virtual bool SendFrom(Ptr<Packet> packet,
                           const Address& source,
                           const Address& dest,
                           uint16_t protocolNumber) = 0;
     /**
-     * \returns the node base class which contains this network
+     * @returns the node base class which contains this network
      *          interface.
      *
      * When a subclass needs to get access to the underlying node
@@ -264,14 +264,14 @@
     virtual Ptr<Node> GetNode() const = 0;
 
     /**
-     * \param node the node associated to this netdevice.
+     * @param node the node associated to this netdevice.
      *
      * This method is called from ns3::Node::AddDevice.
      */
     virtual void SetNode(Ptr<Node> node) = 0;
 
     /**
-     * \returns true if ARP is needed, false otherwise.
+     * @returns true if ARP is needed, false otherwise.
      *
      * Called by higher-layers to check if this NetDevice requires
      * ARP to be used.
@@ -298,20 +298,20 @@
     };
 
     /**
-     * \param device a pointer to the net device which is calling this callback
-     * \param packet the packet received
-     * \param protocol the 16 bit protocol number associated with this packet.
+     * @param device a pointer to the net device which is calling this callback
+     * @param packet the packet received
+     * @param protocol the 16 bit protocol number associated with this packet.
      *        This protocol number is expected to be the same protocol number
      *        given to the Send method by the user on the sender side.
-     * \param sender the address of the sender
-     * \returns true if the callback could handle the packet successfully, false
+     * @param sender the address of the sender
+     * @returns true if the callback could handle the packet successfully, false
      *          otherwise.
      */
     typedef Callback<bool, Ptr<NetDevice>, Ptr<const Packet>, uint16_t, const Address&>
         ReceiveCallback;
 
     /**
-     * \param cb callback to invoke whenever a packet has been received and must
+     * @param cb callback to invoke whenever a packet has been received and must
      *        be forwarded to the higher layers.
      *
      * Set the callback to be used to notify higher layers when a packet has been
@@ -320,15 +320,15 @@
     virtual void SetReceiveCallback(ReceiveCallback cb) = 0;
 
     /**
-     * \param device a pointer to the net device which is calling this callback
-     * \param packet the packet received
-     * \param protocol the 16 bit protocol number associated with this packet.
+     * @param device a pointer to the net device which is calling this callback
+     * @param packet the packet received
+     * @param protocol the 16 bit protocol number associated with this packet.
      *        This protocol number is expected to be the same protocol number
      *        given to the Send method by the user on the sender side.
-     * \param sender the address of the sender
-     * \param receiver the address of the receiver
-     * \param packetType type of packet received (broadcast/multicast/unicast/otherhost)
-     * \returns true if the callback could handle the packet successfully, false
+     * @param sender the address of the sender
+     * @param receiver the address of the receiver
+     * @param packetType type of packet received (broadcast/multicast/unicast/otherhost)
+     * @returns true if the callback could handle the packet successfully, false
      *          otherwise.
      */
     typedef Callback<bool,
@@ -341,7 +341,7 @@
         PromiscReceiveCallback;
 
     /**
-     * \param cb callback to invoke whenever a packet has been received in promiscuous mode and must
+     * @param cb callback to invoke whenever a packet has been received in promiscuous mode and must
      *        be forwarded to the higher layers.
      *
      * Enables netdevice promiscuous mode and sets the callback that
@@ -353,7 +353,7 @@
     virtual void SetPromiscReceiveCallback(PromiscReceiveCallback cb) = 0;
 
     /**
-     * \return true if this interface supports a bridging mode, false otherwise.
+     * @return true if this interface supports a bridging mode, false otherwise.
      */
     virtual bool SupportsSendFrom() const = 0;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/model/nix-vector.h ns-3.44/src/network/model/nix-vector.h
--- ns-3.43/src/network/model/nix-vector.h	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/network/model/nix-vector.h	2025-03-09 16:55:49.675372100 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup packet
+ * @ingroup packet
  *
- * \brief Neighbor-index data structure for nix-vector routing
+ * @brief Neighbor-index data structure for nix-vector routing
  *
  * This data structure holds a vector of "neighbor-indexes" for
  * a simulation specific routing protocol, nix-vector routing.
@@ -31,7 +31,7 @@
  * route, the current node extracts the appropriate
  * neighbor-index and routes the packet.
  *
- * \internal
+ * @internal
  * The implementation of NixVector uses a vector to store
  * the neighbor-indexes.  Each entry in the vector is 32
  * bits long and can store multiple neighbor-indexes.  A
@@ -56,24 +56,24 @@
     NixVector();
     ~NixVector();
     /**
-     * \return a copy of this nix-vector
+     * @return a copy of this nix-vector
      */
     Ptr<NixVector> Copy() const;
     /**
-     * \param o the NixVector to copy to a new NixVector
+     * @param o the NixVector to copy to a new NixVector
      *          using a constructor
      */
     NixVector(const NixVector& o);
     /**
-     * \return a reference to the assignee
+     * @return a reference to the assignee
      *
-     * \param o the NixVector to copy to a new NixVector using the
+     * @param o the NixVector to copy to a new NixVector using the
      *          equals operator
      */
     NixVector& operator=(const NixVector& o);
     /**
-     * \param newBits the neighbor-index to be added to the vector
-     * \param numberOfBits the number of bits that newBits contains
+     * @param newBits the neighbor-index to be added to the vector
+     * @param numberOfBits the number of bits that newBits contains
      *
      * Adds the neighbor index to the vector using a fair amount of
      * bit manipulation to pack everything in efficiently.
@@ -85,9 +85,9 @@
      */
     void AddNeighborIndex(uint32_t newBits, uint32_t numberOfBits);
     /**
-     * \return the neighbor index
+     * @return the neighbor index
      *
-     * \param numberOfBits the number of bits to extract from the vector
+     * @param numberOfBits the number of bits to extract from the vector
      *
      * Extracts the number of bits specified from
      * the vector and returns the value extracted
@@ -99,40 +99,40 @@
      */
     uint32_t ExtractNeighborIndex(uint32_t numberOfBits);
     /**
-     * \return number of bits remaining in the
+     * @return number of bits remaining in the
      *         nix-vector (ie m_total - m_used)
      */
     uint32_t GetRemainingBits() const;
     /**
-     * \return the number of bytes required for serialization
+     * @return the number of bytes required for serialization
      */
     uint32_t GetSerializedSize() const;
     /**
-     * \return zero if buffer not large enough
+     * @return zero if buffer not large enough
      *
-     * \param buffer points to serialization buffer
+     * @param buffer points to serialization buffer
      *
-     * \param maxSize max number of bytes to write
+     * @param maxSize max number of bytes to write
      *
      * This nix-vector is serialized into the raw character
      * buffer parameter.
      */
     uint32_t Serialize(uint32_t* buffer, uint32_t maxSize) const;
     /**
-     * \return zero if a complete nix-vector is not deserialized
+     * @return zero if a complete nix-vector is not deserialized
      *
-     * \param buffer points to buffer for deserialization
+     * @param buffer points to buffer for deserialization
      *
-     * \param size number of bytes to deserialize
+     * @param size number of bytes to deserialize
      *
      * The raw character buffer containing all the nix-vector
      * information is deserialized into this nix-vector.
      */
     uint32_t Deserialize(const uint32_t* buffer, uint32_t size);
     /**
-     * \return number of bits of numberOfNeighbors
+     * @return number of bits of numberOfNeighbors
      *
-     * \param numberOfNeighbors the total number of neighbors
+     * @param numberOfNeighbors the total number of neighbors
      *
      * This function is used to determine the number of bits of
      * numberOfNeighbors so that this value can be passed in to
@@ -142,13 +142,13 @@
 
     /**
      * Set the NixVector Epoch
-     * \param epoch the NixVector Epoch
+     * @param epoch the NixVector Epoch
      */
     void SetEpoch(uint32_t epoch);
 
     /**
      * Get the NixVector Epoch
-     * \return the NixVector Epoch
+     * @return the NixVector Epoch
      */
     uint32_t GetEpoch() const;
 
@@ -157,20 +157,20 @@
     typedef std::vector<uint32_t> NixBits_t;
 
     /**
-     * \brief Print the NixVector.
+     * @brief Print the NixVector.
      *
-     * \param os the output stream
+     * @param os the output stream
      *
      * \note: this could be greatly simplified by using std::format (but it's C++20).
      */
     void DumpNixVector(std::ostream& os) const;
 
     /**
-     * \brief Stream insertion operator.
+     * @brief Stream insertion operator.
      *
-     * \param os the stream
-     * \param nix the Nixvector
-     * \returns a reference to the stream
+     * @param os the stream
+     * @param nix the Nixvector
+     * @returns a reference to the stream
      */
     friend std::ostream& operator<<(std::ostream& os, const NixVector& nix);
 
@@ -187,9 +187,9 @@
 
     /**
      * Internal for pretty printing of nix-vector (no fill)
-     * \param decimalNum decimal divider
-     * \param bitCount bit counter
-     * \param os output stream
+     * @param decimalNum decimal divider
+     * @param bitCount bit counter
+     * @param os output stream
      */
     void PrintDec2BinNix(uint32_t decimalNum, uint32_t bitCount, std::ostream& os) const;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/model/node.cc ns-3.44/src/network/model/node.cc
--- ns-3.43/src/network/model/node.cc	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/network/model/node.cc	2025-03-09 16:55:49.675372100 -0700
@@ -30,9 +30,9 @@
 NS_OBJECT_ENSURE_REGISTERED(Node);
 
 /**
- * \relates Node
- * \anchor GlobalValueChecksumEnabled
- * \brief A global switch to enable all checksums for all protocols.
+ * @relates Node
+ * @anchor GlobalValueChecksumEnabled
+ * @brief A global switch to enable all checksums for all protocols.
  */
 static GlobalValue g_checksumEnabled =
     GlobalValue("ChecksumEnabled",
@@ -129,7 +129,7 @@
     device->SetNode(this);
     device->SetIfIndex(index);
     device->SetReceiveCallback(MakeCallback(&Node::NonPromiscReceiveFromDevice, this));
-    Simulator::ScheduleWithContext(GetId(), Seconds(0.0), &NetDevice::Initialize, device);
+    Simulator::ScheduleWithContext(GetId(), Seconds(0), &NetDevice::Initialize, device);
     NotifyDeviceAdded(device);
     return index;
 }
@@ -156,7 +156,7 @@
     uint32_t index = m_applications.size();
     m_applications.push_back(application);
     application->SetNode(this);
-    Simulator::ScheduleWithContext(GetId(), Seconds(0.0), &Application::Initialize, application);
+    Simulator::ScheduleWithContext(GetId(), Seconds(0), &Application::Initialize, application);
     return index;
 }
 
